  #version 3.7;
  #include "colors.inc"
  #include "rand.inc"

  global_settings {
    assumed_gamma 1.8
  }

  camera {
    right 1.78*x
    location <5, 20, -15>
    look_at <0,2,0>
    angle 50
  }

  background { color rgb <74,74,74>/255 }
  light_source { <300, 300, -1000> White }

  #declare box1 = difference {
    box { <0,0,0>, <1,1,1> } 
  }

  #declare sph1 = union {
    sphere { <.5,.5,.5>, .33}
  }

  #declare seg1 = merge {
    #declare I = 1; 
    #while(I <= 14)
      object { sph1 translate y*.5*I translate x*( RRand(-.15, .15, 1) ) }
      #declare I = I+1;
    #end
  }

  #declare stack1 = union {
    object { 
        seg1
        }
  }
    

//======= RENDER

  #declare test = union {
    object { box1 }
    object { stack1 }
    object { stack1 rotate x*90  translate y*1 }
    object { stack1 rotate x*-90 translate z*1 }
    object { stack1 rotate z*90  translate x*1 } 
    object { stack1 rotate z*-90 translate y*1 } 
    pigment { color rgb <58,97,58>/255 }
  }

 object {test rotate <45, 145, 45> }
